Robotics Service Bus - Bug #536
Make RPATH usage optional
09/02/2011 01:03 PM - S. Herbrechtsmeier

Status: Resolved Start date: 09/02/2011
Priority: Normal Due date:

Assignee: J. Wienke % Done: 100%
Category: Estimated time: 0.10 hour
Target version: 0.5

Description

At the moment the default configuration adds RPATH to all binaries and libraries (CMAKE_INSTALL_RPATH_USE_LINK_PATH). A
standard installation has to enable CMAKE_SKIP_RPATH to remove the RPATH. Normally RPATH is not needed and if the libraries
are not installed to the default position the path should be added to LD_LIBRARY_PATH. This keeps the portability of the code and

lets the user select the libraries at runtime.

Change the default to not add RPATH to get a standard behavior. If users want to use RPATH they should activate it.

Associated revisions

Revision dcaf0d5b - 09/12/2011 04:26 PM - J. Wienke

do not force an rpath

fixes #536

History

#1 - 09/02/2011 01:08 PM - J. Wienke
- Assignee set to J. Wienke
- Target version set to rsb-0.10

Sebastian, what is your opinion here? | would agree with Stefan. For the gar-installer we could e.g. add this a default option for cmake on the cmake

command line call.

#2 - 09/02/2011 01:08 PM - J. Wienke

- Estimated time set to 0.10

#3 - 09/12/2011 04:25 PM - J. Wienke
- Status changed from New to In Progress

| will make this the default now. We can revert this if there are strong objections.

#4 - 09/12/2011 04:27 PM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r2567.
#5 - 09/27/2011 12:14 PM - D. Merejkowsky

Using something like

set_target_properties("${name}"

PROPERTIES

INSTALL_RPATH "$ORIGIN/../lib"

might help

#6 - 10/27/2011 08:07 PM - J. Moringen

- Target version changed from rsb-0.10 to 0.5
